Bug 1485006 - Unable to access filter tab while Editing chargeback for projects report
Summary: Unable to access filter tab while Editing chargeback for projects report
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Libor Pichler
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: chargeback:container
Depends On:
Blocks: 1487320 1487321
TreeView+ depends on / blocked
 
Reported: 2017-08-24 20:05 UTC by Jared Deubel
Modified: 2018-03-06 15:22 UTC (History)
10 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1487320 1487321 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:22:23 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jared Deubel 2017-08-24 20:05:57 UTC
Description of problem:

When editing a Chargeback for projects report clicking on the filter tab does not respond (silently fails with error in the log). 

[----] F, [2017-08-24T12:39:06.889236 #18721:3fd219cd9a44] FATAL -- : Error caught: [ActionView::Template::Error] Couldn't find ManageIQ::Providers::ContainerManager with 'id'=0 [WHERE "ext_management_systems"."type" IN ('ManageIQ::Providers::ContainerManager', 'ManageIQ::Providers::OpenshiftEnterprise::ContainerManager', 'ManageIQ::Providers::Kubernetes::ContainerManager', 'ManageIQ::Providers::Openshift::ContainerManager')]
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/relation/finder_methods.rb:353:in `raise_record_not_found_exception!'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/relation/finder_methods.rb:479:in `find_one'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/relation/finder_methods.rb:458:in `find_with_ids'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/relation/finder_methods.rb:66:in `find'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/querying.rb:3:in `find'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activerecord-5.0.5/lib/active_record/core.rb:151:in `find'
/Users/gtanzill/work/rh/manageiq/app/helpers/report_helper/editor.rb:3:in `cb_entities_by_provider_id'
/Users/gtanzill/work/rh/manageiq/app/views/report/_form_filter_chargeback.html.haml:95:in `_app_views_report__form_filter_chargeback_html_haml__4501259700639045172_70171448465380'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:159:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:166:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:354:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:157:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:21:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/haml-4.0.7/lib/haml/helpers/action_view_mods.rb:12:in `render_with_haml'
/Users/gtanzill/work/rh/manageiq/app/views/report/_form_filter.html.haml:7:in `_app_views_report__form_filter_html_haml__2296319458907666149_70171448847020'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:159:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:166:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:354:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:157:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:21:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/haml-4.0.7/lib/haml/helpers/action_view_mods.rb:12:in `render_with_haml'
/Users/gtanzill/work/rh/manageiq/app/views/report/_form.html.haml:39:in `_app_views_report__form_html_haml___1634321371360267479_70171490851740'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:159:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:166:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:354:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:157:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `block in instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/activesupport-5.0.5/lib/active_support/notifications.rb:164:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/renderer/renderer.rb:21:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/haml-4.0.7/lib/haml/helpers/action_view_mods.rb:12:in `render_with_haml'
/Users/gtanzill/work/rh/manageiq/app/views/report/_report_list.html.haml:4:in `_app_views_report__report_list_html_haml__2202678040883513916_70171474937000'
/Users/gtanzill/.rvm/gems/ruby-2.3.1@vmdb_5_7/gems/actionview-5.0.5/lib/action_view/template.rb:159:in `block in render'


Version-Release number of selected component (if applicable):
5.7

Comment 2 Gregg Tanzillo 2017-08-25 12:33:37 UTC
PR - https://github.com/ManageIQ/manageiq-ui-classic/pull/1990

Comment 6 Niyaz Akhtar Ansari 2017-10-17 10:41:22 UTC
Verified in Version 5.9.0.2.20171010190026_0413a06


Note You need to log in before you can comment on or make changes to this bug.